com.ibm.openpages.api.security

## Class UserInfo

- java.lang.Object
- - com.ibm.openpages.api.security.SecurityPrincipalInfo
  - - com.ibm.openpages.api.security.UserInfo

-     public class UserInfo
      extends SecurityPrincipalInfo

  Class for the specification of an OpenPages user. This class must be provided as input when creating a new user.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserInfo(java.lang.String systemUserName, java.lang.String firstName, java.lang.String lastName, java.lang.String middleName, java.lang.String password, java.util.Locale userLocale)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFirstName()` Gets first name.
    `java.lang.String` | `getLastName()` Gets last name.
    `java.lang.String` | `getMiddleName()` Gets middle name.
    `java.lang.String` | `getPassword()` Gets password.
    `int` | `getPasswordExpiresInDays()` Gets password expires in days.
    `boolean` | `isCanChangePassword()` Checks whether password can be changed.
    `boolean` | `isPasswordChangeFromAdmin()` Checks whether the password was changed by administrator.
    `boolean` | `isTemporaryPassword()` Checks whether password is temporary.
    `void` | `setCanChangePassword(boolean canChangePassword)` Sets whether password can be changed.
    `void` | `setFirstName(java.lang.String firstName)` Sets first name.
    `void` | `setIsTemporaryPassword(boolean isTemporaryPassword)` Sets the flag to make password temporary.
    `void` | `setLastName(java.lang.String lastName)` Sets last name.
    `void` | `setMiddleName(java.lang.String middleName)` Sets middle name.
    `void` | `setPassword(java.lang.String password)` Sets password.
    `void` | `setPasswordChangeFromAdmin(boolean isPasswordChangeFromAdmin)` Specifies that the password was changed by administrator.
    `void` | `setPasswordExpiresInDays(int passwordExpiresInDays)` Sets password expiry in days.

    - ### Methods inherited from class com.ibm.openpages.api.security.SecurityPrincipalInfo

      `getDescription, getEmail, getLocale, getName, isEnabled, isHidden, setDescription, setEmail, setEnabled, setHidden, setLocale, setName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserInfo

          public UserInfo(java.lang.String systemUserName,
                          java.lang.String firstName,
                          java.lang.String lastName,
                          java.lang.String middleName,
                          java.lang.String password,
                          java.util.Locale userLocale)

  - ### Method Detail

    - #### getPassword

          public java.lang.String getPassword()

      Gets password.
      Returns:
        String

    - #### setPassword

          public void setPassword(java.lang.String password)

      Sets password.
      Parameters:
        `password` -

    - #### getFirstName

          public java.lang.String getFirstName()

      Gets first name.
      Returns:
        String

    - #### setFirstName

          public void setFirstName(java.lang.String firstName)

      Sets first name.
      Parameters:
        `firstName` -

    - #### getMiddleName

          public java.lang.String getMiddleName()

      Gets middle name.
      Returns:
        String

    - #### setMiddleName

          public void setMiddleName(java.lang.String middleName)

      Sets middle name.
      Parameters:
        `middleName` -

    - #### getLastName

          public java.lang.String getLastName()

      Gets last name.
      Returns:
        String

    - #### setLastName

          public void setLastName(java.lang.String lastName)

      Sets last name.
      Parameters:
        `lastName` -

    - #### getPasswordExpiresInDays

          public int getPasswordExpiresInDays()

      Gets password expires in days.
      Returns:
        integer representing the number of days for expiry.

    - #### setPasswordExpiresInDays

          public void setPasswordExpiresInDays(int passwordExpiresInDays)

      Sets password expiry in days.
      Parameters:
        `passwordExpiresInDays` -

    - #### isCanChangePassword

          public boolean isCanChangePassword()

      Checks whether password can be changed.
      Returns:
        boolean

    - #### setCanChangePassword

          public void setCanChangePassword(boolean canChangePassword)

      Sets whether password can be changed.
      Parameters:
        `canChangePassword` -

    - #### isTemporaryPassword

          public boolean isTemporaryPassword()

      Checks whether password is temporary.
      Returns:
        boolean

    - #### setIsTemporaryPassword

          public void setIsTemporaryPassword(boolean isTemporaryPassword)

      Sets the flag to make password temporary.
      Parameters:
        `isTemporaryPassword` -

    - #### isPasswordChangeFromAdmin

          public boolean isPasswordChangeFromAdmin()

      Checks whether the password was changed by administrator.
      Returns:
        boolean

    - #### setPasswordChangeFromAdmin

          public void setPasswordChangeFromAdmin(boolean isPasswordChangeFromAdmin)

      Specifies that the password was changed by administrator.
      Parameters:
        `isPasswordChangeFromAdmin` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.